0 Replies Latest reply on Sep 18, 2014 11:53 AM by Maynard Viersen

    Bend line names

    Maynard Viersen

      SolidWorks has decided that they can have different numbers for the names of the bend lines from the flat Pattern.

      e.g. Flat-Pattern1 used to have bend lines named Bend-Lines1, now the bend lines can be named Bend-Lines2 or any other number.

       

      What is the easiest way to get the name of the bend lines in a flat pattern view.

      Before I can work on the bend lines I need to be sure that the bend lines are not hidden.

      Since we only have one flat pattern, The bend line name was always Bend-Lines1 however, now the bend lines could have any number behind "Bend-Lines".

       

       

      //string sViewname = swView.GetName2();

      //iSwApp.SendMsgToUser(sViewname);

      string sFullModelName = swView.GetReferencedModelName();

      string[] sSplitFullModelName = sFullModelName.Split('\\');

      string[] sSplitModelName = sSplitFullModelName[sSplitFullModelName.Length - 1].Split('.');

      string sModelName = sSplitModelName[0];

      string sBBName = "Bend-Lines1@" + sModelName + "@" + ViewName;

      //iSwApp.SendMsgToUser(sBBName);

      bool iboolstatus = swModel.Extension.SelectByID2(sBBName,

      "SKETCH", 0, 0, 0, false, 0, null, 0);

      swModel.UnblankSketch();